/*
    fractal flame generation package
    Copyright (C) 1992, 1993  Scott Draves <spot@cs.cmu.edu>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
#include "libifs.h"

/*
 * read control points from stdin, write them to stdout sorted
 */

main()
{
   control_point *cps = (control_point *) malloc(sizeof(control_point) * 1000);
   char s[4000];
   char *ss;
   int c, i, n = 0;

   /* read in all the cps from stdin */
   while (1) {
      i = 0;
      ss = s;
      do {
	 c = getchar();
	 if (EOF == c)
	    goto done_reading;
	 s[i++] = c;
      } while (';' != c);
      parse_control_point(&ss, cps + n);
      n++;
   }
 done_reading:
   sort_control_points(cps, n, standard_metric);
   for (i = 0; i < n; i++)
      print_control_point(stdout, cps + n, 0);
}
